#ifndef RAF98_H
#define RAF98_H

#define false 0
#define true  1

#define WIDTH  32768
#define HEIGHT     8

// --- Personalized types -------------------------------------------------------

// Vecteur (translation/rotation)
typedef struct {
   double val;
   unsigned short lgn;
   unsigned short col;
} bilinear;

// --- Prototypes of the functions ---------------------------------------------

int loadRAF98(const char *gridFile);
double Nraf98(double j, double l);
double altitude(double lat, double lon, double depth, double he, double ha);

#endif
