#ifndef MISC_H
#define MISC_H

// --- Constants ---------------------------------------------------------------

static const double pi=3.141592653589793; // pi=3,141 592 653 589 793

// --- Prototypes of the functions ---------------------------------------------

double deg2rad(double); // Conversion 'degres decimaux' en 'radians'
double gr2deg(double); // Conversion 'grades' en 'degres decimaux'
double sq(double); // Retourne le carre
double cube(double); // Retourne le cube

// Conversion 'degres decimaux' en 'degres, minutes, milliemes de seconde'
int deg2dmm(char *, double, unsigned short);

// Convert string to lower case
void strtolower(char *, char *);

// Retourne un segment de chaine
int substr(char *, const char *, unsigned int, unsigned int);

#endif
